For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTMove feature to project
      • PUT[BETA] Update a milestone strategy
      • GET[BETA] Get partial updates (SDK)
      • PUT[BETA] Change a feature environment safeguard
      • DEL[BETA] Delete a feature environment safeguard
      • POSTValidate a feature flag name.
      • GETGet all tags for a feature.
      • POSTAdds a tag to a feature.
      • PUTUpdates multiple tags for a feature.
      • DELRemoves a tag from a feature.
      • GETGet a feature environment
      • POSTDisable a feature flag
      • POSTEnable a feature flag
      • POSTBulk enable a list of features
      • POSTBulk disable a list of features
      • GETGet feature flag strategies
      • POSTAdd a strategy to a feature flag
      • GETGet a strategy configuration
      • PUTUpdate a strategy
      • DELDelete a strategy from a feature flag
      • PATCHChange specific properties of a strategy
      • POSTSet strategy sort order
      • GETGet all features in a project
      • POSTAdd a new feature flag
      • POSTClone a feature flag
      • GETGet a feature
      • PUTUpdate a feature flag
      • DELArchive a feature flag
      • PATCHModify a feature flag
      • POSTMark features as stale / not stale
      • GETGet variants for a feature in an environment
      • PUTCreate (overwrite) variants for a feature in an environment
      • PATCHPatch a feature's variants in an environment
      • PUTCreate (overwrite) variants for a feature flag in multiple environments
      • POSTValidates archive features
      • POSTArchives a list of features
      • GET[BETA] Get feature lifecycle
      • POST[BETA] Set feature completed
      • POST[BETA] Set feature uncompleted
      • POST[BETA] Create a feature link
      • PUT[BETA] Update a feature link
      • DEL[BETA] Delete a feature link
      • GET[BETA] Get all features lifecycle stage count
      • POSTValidate constraint
      • POSTAdd feature to favorites
      • DELRemove feature from favorites
      • POSTAdd project to favorites
      • DELRemove project from favorites

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIFeature flags

Get a feature environment

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/projects/:projectId/features/:featureName/environments/:environment
GET
/api/admin/projects/:projectId/features/:featureName/environments/:environment
$curl https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment \
> -H "Authorization: <apiKey>"
1{
2 "name": "my-dev-env",
3 "enabled": true,
4 "featureName": "disable-comments",
5 "environment": "development",
6 "type": "development",
7 "sortOrder": 3,
8 "variantCount": 1.1,
9 "strategies": [
10 {
11 "name": "flexibleRollout",
12 "id": "6b5157cb-343a-41e7-bfa3-7b4ec3044840",
13 "title": "Gradual Rollout 25-Prod",
14 "disabled": false,
15 "featureName": "myAwesomeFeature",
16 "sortOrder": 9999,
17 "segments": [
18 1,
19 2
20 ],
21 "constraints": [
22 {
23 "contextName": "appName",
24 "operator": "IN",
25 "caseInsensitive": false,
26 "inverted": false,
27 "values": [
28 "my-app",
29 "my-other-app"
30 ],
31 "value": "my-app"
32 }
33 ],
34 "variants": [
35 {
36 "name": "blue_group",
37 "weight": 1,
38 "weightType": "fix",
39 "stickiness": "custom.context.field",
40 "payload": {
41 "type": "json",
42 "value": "{\"color\": \"red\"}"
43 }
44 }
45 ],
46 "parameters": {}
47 }
48 ],
49 "variants": [
50 {
51 "name": "blue_group",
52 "weight": 1.1,
53 "weightType": "variable",
54 "stickiness": "custom.context.field",
55 "payload": {
56 "type": "json",
57 "value": "{\"color\": \"red\"}"
58 },
59 "overrides": [
60 {
61 "contextName": "userId",
62 "values": [
63 "red",
64 "blue"
65 ]
66 }
67 ]
68 }
69 ],
70 "changeRequestIds": [
71 1.1
72 ],
73 "milestoneName": "Phase One",
74 "milestoneOrder": 0,
75 "totalMilestones": 0,
76 "lastSeenAt": "2023-01-28T16:21:39.975Z",
77 "hasStrategies": true,
78 "hasEnabledStrategies": true,
79 "releasePlans": [
80 {
81 "id": "01JB9GGTGQYEQ9D40R17T3YVW2",
82 "discriminator": "plan",
83 "name": "My release plan",
84 "featureName": "my-feature",
85 "environment": "production",
86 "createdByUserId": 53,
87 "createdAt": "2022-01-01T00:00:00Z",
88 "milestones": [
89 {
90 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
91 "name": "My milestone",
92 "sortOrder": 1,
93 "releasePlanDefinitionId": "01JB9GGTGQYEQ9D40R17T3YVW2",
94 "startedAt": "2024-01-01T00:00:00.000Z",
95 "transitionCondition": {
96 "intervalMinutes": 30
97 },
98 "progressionExecutedAt": "2024-01-01T00:00:00.000Z",
99 "pausedAt": "2024-01-01T00:00:00.000Z",
100 "strategies": [
101 {
102 "id": "01JB9GGTGQYEQ9D40R17T3YVW3",
103 "milestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
104 "sortOrder": 9999,
105 "name": "flexibleRollout",
106 "strategyName": "flexibleRollout",
107 "title": "Gradual Rollout 25-Prod",
108 "parameters": {
109 "groupId": "some_new",
110 "rollout": "25",
111 "stickiness": "sessionId"
112 },
113 "constraints": [
114 {
115 "contextName": "appName",
116 "operator": "IN",
117 "caseInsensitive": false,
118 "inverted": false,
119 "values": [
120 "1",
121 "2"
122 ]
123 }
124 ],
125 "variants": [
126 {
127 "name": "blue_group",
128 "weight": 1,
129 "weightType": "fix",
130 "stickiness": "custom.context.field",
131 "payload": {
132 "type": "json",
133 "value": "{\"color\": \"red\"}"
134 }
135 }
136 ],
137 "segments": [
138 1,
139 2
140 ],
141 "disabled": false
142 }
143 ]
144 }
145 ],
146 "releasePlanTemplateId": "01JB9GGTGQYEQ9D40R17T3YVW2",
147 "description": "This is my release plan",
148 "activeMilestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
149 "safeguards": [
150 {
151 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
152 "action": {
153 "type": "pauseReleasePlanProgressions",
154 "id": "01JB9GGTGQYEQ9D40R17T3YVW2"
155 },
156 "triggerCondition": {
157 "operator": ">",
158 "threshold": 100
159 },
160 "impactMetric": {
161 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
162 "metricName": "unleash_counter_feature_toggle_usage_total",
163 "timeRange": "day",
164 "aggregationMode": "rps",
165 "labelSelectors": {
166 "environment": [
167 "development"
168 ],
169 "project": [
170 "default"
171 ]
172 },
173 "source": "internal"
174 }
175 }
176 ]
177 }
178 ],
179 "safeguards": [
180 {
181 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
182 "action": {
183 "type": "disableFeatureEnvironment",
184 "featureName": "string",
185 "environment": "string",
186 "project": "string"
187 },
188 "triggerCondition": {
189 "operator": ">",
190 "threshold": 100
191 },
192 "impactMetric": {
193 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
194 "metricName": "unleash_counter_feature_toggle_usage_total",
195 "timeRange": "day",
196 "aggregationMode": "rps",
197 "labelSelectors": {
198 "environment": [
199 "development"
200 ],
201 "project": [
202 "default"
203 ]
204 },
205 "source": "internal"
206 }
207 }
208 ],
209 "yes": 974,
210 "no": 50
211}
Information about the enablement status and strategies for a feature flag in specified environment.
Was this page helpful?
Previous

Disable a feature flag

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
featureNamestringRequired
environmentstringRequired

Response

featureEnvironmentSchema
namestring
The name of the environment
enabledboolean

true if the feature is enabled for the environment, otherwise false.

featureNamestring
The name of the feature
environmentstring
The name of the environment
typestring
The type of the environment
sortOrderdouble
The sort order of the feature environment in the feature environments list
variantCountdouble
The number of defined variants
strategieslist of objects
A list of activation strategies for the feature environment
variantslist of objects
A list of variants for the feature environment
changeRequestIdslist of doubles
Experimental. A list of change request identifiers for actionable change requests that are not Cancelled, Rejected or Approved.
milestoneNamestring

Experimental: The name of the currently active release plan milestone

milestoneOrderdouble

Experimental: The zero-indexed order of currently active milestone in the list of all release plan milestones

totalMilestonesdouble

Experimental: The total number of milestones in the feature environment release plan

lastSeenAtstring or nullformat: "date-time"
The date when metrics where last collected for the feature environment
hasStrategiesboolean
Whether the feature has any strategies defined.
hasEnabledStrategiesboolean
Whether the feature has any enabled strategies defined.
releasePlanslist of objects
Release plans for this feature environment
safeguardslist of objects
Safeguards for this feature environment
yesinteger>=0

How many times the feature evaluated to true (enabled)

nointeger>=0

How many times the feature evaluated to false (disabled)

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error